using DataFrames, CSV, Gadfly
df = CSV.read("/Users/matthieugomez/Dropbox/Github/FixedEffectModels.jl/benchmark/benchmark.csv", DataFrame)

df."fixest (R)" = df."fixest (R)" ./ df."FixedEffectModels.jl (Julia)"
df."lfe (R)" = df."lfe (R)" ./ df."FixedEffectModels.jl (Julia)"
df."reghdfe (Stata)" = df."reghdfe (Stata)" ./ df."FixedEffectModels.jl (Julia)"
df."FixedEffectModels.jl (Julia)" = df."FixedEffectModels.jl (Julia)" ./ df."FixedEffectModels.jl (Julia)"

mdf = stack(df, Not([:Command, :Order]))
mdf = rename(mdf, :variable => :Language)
p = plot(mdf, x = "Command", y = "value", color = "Language", Guide.ylabel("Time (Ratio to Julia)"), Guide.xlabel("Command"), Scale.y_log10)

draw(PNG("/Users/matthieugomez/Dropbox/Github/FixedEffectModels.jl/benchmark/fixedeffectmodels_benchmark.png", 8inch, 5inch, dpi=300), p)

